# $Revision: 1.3 $, $Date: 2002/07/25 07:30:33 $
Summary:	ZZipLib - libZ-based ZIP-access Library
Summary(pl):	ZZipLib - biblioteka dostpu do archiww ZIP
Name:		zziplib
Version:	0.10.64
Release:	2
Epoch:		1
License:	LGPL with exceptions (see COPYING.ZZIP)
Vendor:		Guido Draheim <guidod@gmx.de>
Group:		Libraries
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/%{name}/%{name}-%{version}.tar.gz
URL:		http://zziplib.sourceforge.net/
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ZZipLib provides read access to zipped files in a zip-archive, using
compression based solely on free algorithms provided by zlib. ZZipLib
provides an additional API to transparently access files being either
real files or zipped files with the same filepath argument. This is
handy to package many files being shared data into a single zip file -
as it is sometimes used with gamedata or script repositories. The
library itself is fully multithreaded, and it is namespace clean using
the zzip_ prefix for its exports and declarations.

%description -l pl
ZZipLib pozwala na odczyt plikw skompresowanych w archiwach zip,
uywajc do dekompresji wolnodostpnych algorytmw z biblioteki zlib.
ZZipLib dostarcza dodatkowe API do przezroczystego dostpu do plikw
rzeczywistych lub umieszczonych w archiwach zip przy pomocy takiej
samej cieki. Jest to przydatne przy trzymaniu wielu plikw w jednym
archiwum, co bywa stosowane w przypadku danych dla gier lub
repozytoriw. Biblioteka jest w peni wielowtkowa i ma czyst
przestrze nazw (uywa prefiksu zzip_).

%package devel
Summary:	ZZipLib - Development Files
Summary(pl):	Pliki dla programistw ZZipLib
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
These are the header files needed to develop programs using zziplib.

%description devel -l pl
Ten pakiet zawiera plikia nagwkowe potrzebne do tworzenia programw
korzystajcych z biblioteki zziplib.

%package static
Summary:	ZZipLib static library
Summary(pl):	Statyczna biblioteka ZZipLib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
ZZipLib static library.

%description static -l pl
Statyczna biblioteka ZZipLib.

%prep
%setup -q

%build
%configure

%{__make}
%{__make} doc

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
	
mv -f zzip-INTRO.html index.html || true
rm -f zzip-SFNET.html

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog TODO COPYING.Z*
%attr(755,root,root) %{_bindir}/zz[^i]*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc SDL_* zzcat.c zzdir.c zziptest.c *.html
%attr(755,root,root) %{_bindir}/zzip-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: zziplib.spec,v $
Revision 1.3  2002/07/25 07:30:33  qboosh
- removed zzip-config from base; release 2

Revision 1.2  2002/07/23 15:17:40  wiget
- updated to 0.10.64
- new doc
- License clarification

Revision 1.1  2002/05/03 17:34:38  qboosh
- new; spec taken from original archive and rewritten
